<!--
    ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
    File: NEWS.md
    This file is a part of Locale en_RU.
    SPDX-License-Identifier: FSFAP
    ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
-->

NEWS
====

This document describes *user-visible changes* in Locale en_RU.

0.5.5 @ 2020-02-02
------------------

*   Minor changes in documentation and build infrastructure.
*   Bug in rpm spec file fixed: the locale didn't survive `glibc` update.

0.5.4 @ 2019-03-27
------------------

*   Minor changes in documentation and build infrastructure.

0.5.3 @ 2018-10-31
------------------

*   `email` keyword in `LC_IDENTIFICATION` category set to my real email.
*   Minor chnages in documentation and build.

0.5.2 @ 2017-04-10
------------------

*   `category` keyword in `LC_IDENTIFICATION` category set to `"i18n:2012"` to avoid build problems
    with newer glibc.
*   Locale data is not copyrighted, like glibc locales.

0.5.1 @ 2016-02-19
------------------

*   `--enable-ruble-sign` option is added to `configure`. It has three values: `yes` — use ruble
    sign (₽, U+20BD) as currency symbol, `no` — do not use ruble sign but use currency sign (¤,
    U+00A4), `auto` — use ruble sign if it is supported by `glibc` (ruble sign support is
    introduced in version 2.22), otherwise use currency sign. `auto` is default value. This allows
    building the locale on RHEL 7. *Note:* This is build-time option: decision is made during
    `make` phase, installed locale is not magically upgraded when ruble sign support appears in
    `glibc`.
*   HTML pages drop microdata in favor of RDFa Lite.
*   Minor changes in build infrastructure to let it work in RHEL 6.

0.5 @ 2016-02-14
----------------

*   Ruble symbol "₽" used instead of "руб.". I personally do not like it, but abbreviation "руб."
    looks also a bit ugly in English environment; "₽", at least, language-neutral.
*   HTML pages updated, now they include source code documentation files (like `README.en.md`,
    `INSTALL.en.md`, and others). Style updated too.
*   Lots of changes in build and test infrastructure, not visible to end users.

0.4.3 @ 2014-11-12
------------------

*   Bug fixes and improvements to HTML documentation.
*   Lots of changes in build and test infrastructure, not visible to end users. To name a few:
    *   build.sh/make now can upload source release to SourceForge and start COPR build.
    *   If release ends with `t`, it is considered as test release and will be uploaded into
        sandbox.
    *   Uploading can be performed either with `rsync` (preferred) or with `scp` (fallback).
    *   If configure.ac changed, it triggs building `veryclean` target.
    *   Test scripts are simplified by moving common part into shared prologue.
    *   Added tests on broken links in markdown sources.

0.4 @ 2014-10-30
----------------

*   Thousand separator changed to *narrow* non-breaking space.
*   Documentation is installed to unversioned directory, like other Fedora 20 packages.
*   Thanks to Fedora COPR, RPM packages for several Fedora versions and EPEL 7 addded.
*   Developers documentation is published on website.
*   GNU autotools are used for building.

0.3 @ 2013-10-27
----------------

*   Fixed bug in spec file which prevents upgrade.
*   This package conflicts with `glibc-locale-en_RU-0.001` to avoid the bug described above.
*   Documentation added.
*   Regular space used as currency symbol delimiter to avoid glibc bug:
    https://sourceware.org/bugzilla/show_bug.cgi?id=16067
*   Currency symbol is placed after value.

0.2 @ 2013-10-05
----------------

*   Project renamed from "glibc-locale-en_RU" to "locale-en_RU".

0.1 @ 2013-03-14
----------------

*   Initial release.

<!-- Metainfo -->

---
title:          News
subtitle:       Locale en_RU
author:         Van de Bugger
lang:           en
...

<!-- end of file -->
